import { EventEmitter, OnInit } from '@angular/core';
import 'moment/locale/zh-cn';
import { AtI18nInterface } from '../../i18n/at-i18n.interface';
import { AtI18nService } from '../../i18n/at-i18n.service';
import { AtDate } from '../at-day';
export declare class CalendarComponent implements OnInit {
    private at_i18n_service;
    _clickMonth: EventEmitter<any>;
    _clickYear: EventEmitter<any>;
    constructor(at_i18n_service: AtI18nService);
    _clickDate: EventEmitter<any>;
    disableDate: any;
    _show_value: any;
    showValue: any;
    monthName: any[];
    _disabledDate: any;
    private: any;
    _atType: 'full' | 'month' | 'year';
    atType: "year" | "month" | "full";
    private _weeks;
    private _months;
    private _years;
    years: any[];
    months: any[];
    atValue: any;
    private _atValue;
    private _atYear;
    private _atMonth;
    private _atDay;
    weeks: any[];
    atYear: number;
    atMonth: number;
    format: string;
    atDay: number;
    private _locale;
    locale: AtI18nInterface;
    ngOnInit(): void;
    buildWeeks(d: any): AtDate[];
    buildWeek(date: any, month: any): AtDate[];
    buildYears(year: any): any[];
    buildMonths(date: any): any[];
    buildCalendar(): void;
    clickDay(day: any): void;
    clickMonth(single: any): void;
    clickYear(year: any): void;
}
